<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.harmonic.mapper.specialanalysis.RMpPvPowerDetailQMapper">

    <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpPvPowerDetailQPO">
        <id property="dataDate" column="data_date" jdbcType="DATE"/>
        <id property="measurementPointId" column="measurement_point_id" jdbcType="VARCHAR"/>
        <result property="permeability" column="permeability" jdbcType="VARCHAR"/>
        <result property="volOverMaxDate" column="vol_over_max_date" jdbcType="VARCHAR"/>
        <result property="volOverMinDate" column="vol_over_min_date" jdbcType="VARCHAR"/>
        <result property="volOverMax" column="vol_over_max" jdbcType="FLOAT"/>
        <result property="volOverMin" column="vol_over_min" jdbcType="FLOAT"/>
        <result property="volOverMaxDate715" column="vol_over_max_date7_15" jdbcType="VARCHAR"/>
        <result property="volOverMaxDate15" column="vol_over_max_date15_" jdbcType="VARCHAR"/>
        <result property="volOverMaxSeverity" column="vol_over_max_severity" jdbcType="VARCHAR"/>
        <result property="volOverMinSeverity" column="vol_over_min_severity" jdbcType="VARCHAR"/>
        <result property="lowPowerFactorRatio" column="low_power_factor_ratio" jdbcType="FLOAT"/>
        <result property="lowPowerFactor" column="low_power_factor" jdbcType="VARCHAR"/>
        <result property="streamElectricity" column="stream_electricity" jdbcType="VARCHAR"/>
        <result property="streamRecoverDate" column="stream_recover_date" jdbcType="VARCHAR"/>
        <result property="streamLoadRate" column="stream_load_rate" jdbcType="VARCHAR"/>
        <result property="streamTimingRate" column="stream_timing_rate" jdbcType="VARCHAR"/>
        <result property="lowPowerFactor7" column="low_power_factor_7" jdbcType="VARCHAR"/>
        <result property="lowPowerFactor78" column="low_power_factor7_8" jdbcType="VARCHAR"/>
        <result property="lowPowerFactor89" column="low_power_factor8_9" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        data_date,measurement_point_id,permeability,
        vol_over_max_date,vol_over_min_date,vol_over_max_date7_15,
        vol_over_max_date15_,vol_over_max_severity,vol_over_min_severity,
        low_power_factor_ratio,low_power_factor,stream_electricity,
        stream_recover_date,stream_load_rate,stream_timing_rate,
        low_power_factor_7,low_power_factor7_8,low_power_factor8_9
    </sql>
</mapper>
